import request from '@/utils/request'

// 查询题目纠错列表
export function listBCustomerQuestionError(query) {
  return request({
    url: '/dz/bCustomerQuestionError/list',
    method: 'get',
    params: query
  })
}

// 查询题目纠错详细
export function getBCustomerQuestionError(id) {
  return request({
    url: '/dz/bCustomerQuestionError/' + id,
    method: 'get'
  })
}

// 新增题目纠错
export function addBCustomerQuestionError(data) {
  return request({
    url: '/dz/bCustomerQuestionError',
    method: 'post',
    data: data
  })
}

// 修改题目纠错
export function updateBCustomerQuestionError(data) {
  return request({
    url: '/dz/bCustomerQuestionError',
    method: 'put',
    data: data
  })
}

// 删除题目纠错
export function delBCustomerQuestionError(id) {
  return request({
    url: '/dz/bCustomerQuestionError/' + id,
    method: 'delete'
  })
}

// 确认解决
export function verifyProcess(id) {
  return request({
    url: '/dz/bCustomerQuestionError/verifyProcess/' + id,
    method: 'post'
  })
}
